/*************************************************************/
/* Includes and other common stuff for the MUI demo programs */
/*************************************************************/

/* MUI */
#include <libraries/mui.h>

/* System */
#include <dos/dos.h>
#include <graphics/gfxmacros.h>
#include <workbench/workbench.h>
#include <exec/memory.h>
#include <exec/types.h>

/* Prototypes */
#include <clib/alib_protos.h>
#include <clib/exec_protos.h>
#include <clib/dos_protos.h>
#include <clib/icon_protos.h>
#include <clib/graphics_protos.h>
#include <clib/intuition_protos.h>
#include <clib/gadtools_protos.h>
#include <clib/utility_protos.h>
#include <clib/asl_protos.h>
#include <clib/muimaster_protos.h>

/* ANSI C */
#include <stdlib.h>
#include <string.h>
#include <stdio.h>

/* Libraries */

extern struct Library *SysBase,*IntuitionBase,*UtilityBase,*GfxBase,*DOSBase,*IconBase;

/*************************/
/* Interface             */
/*************************/

static struct ObjApp {
      APTR app;
      APTR window;
      APTR label1;
      APTR checkmark1;
      APTR label2;
      APTR checkmark2;
      APTR label3;
      APTR string1;
      APTR simplebutton1;
      APTR simplebutton2;
};

#define GO_SEARCH   2
#define GO_QUIT     1
#define GO_RUNNING  0

/************************/
/* function prototypes  */
/************************/

extern struct ObjApp *creategui (void);
extern void DisposeApp(struct ObjApp *);

#ifndef MAKE_ID
#define MAKE_ID(a,b,c,d) ((ULONG) (a)<<24 | (ULONG) (b)<<16 | (ULONG) (c)<<8 | (ULONG) (d))
#endif


